<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_OperatingCostsBeforeChargeForBadAndDoubtfulDebts" xlink:label="severntrentplc_OperatingCostsBeforeChargeForBadAndDoubtfulDebts" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_ChargeForBadAndDoubtfulDebts" xlink:label="severntrentplc_ChargeForBadAndDoubtfulDebts" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_IncreaseInExpectedCreditLossOnLoanReceivable" xlink:label="severntrentplc_IncreaseInExpectedCreditLossOnLoanReceivable" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_NetGainsLossesOnFinancialInstruments" xlink:label="severntrentplc_NetGainsLossesOnFinancialInstruments" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_DeferredTaxOnTransferToTheIncomeStatement" xlink:label="severntrentplc_DeferredTaxOnTransferToTheIncomeStatement" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_ProceedsFromEquityPlacing" xlink:label="severntrentplc_ProceedsFromEquityPlacing" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_ShareOptionsAndLTIPsProceedsFromSharesIssued" xlink:label="severntrentplc_ShareOptionsAndLTIPsProceedsFromSharesIssued" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_ShareOptionsAndLTIPsValueOfEmployeesServices" xlink:label="severntrentplc_ShareOptionsAndLTIPsValueOfEmployeesServices" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_ShareOptionsAndLTIPsOwnSharesPurchased" xlink:label="severntrentplc_ShareOptionsAndLTIPsOwnSharesPurchased" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_DeferredTaxOnShareBasedPayments" xlink:label="severntrentplc_DeferredTaxOnShareBasedPayments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssetsLiabilities" xlink:label="ifrs-full_CurrentAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AssetsLessCurrentLiabilities" xlink:label="ifrs-full_AssetsLessCurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="ifrs-full_NetAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_InterestElementOfLeasePaymentsClassifiedAsFinancingActitivites" xlink:label="severntrentplc_InterestElementOfLeasePaymentsClassifiedAsFinancingActitivites" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_PaymentsForSwapTerminationsClassifiedAsFinancingActitivites" xlink:label="severntrentplc_PaymentsForSwapTerminationsClassifiedAsFinancingActitivites" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_DescriptionOfAccountingPolicyForPreContractCosts" xlink:label="severntrentplc_DescriptionOfAccountingPolicyForPreContractCosts" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_DescriptionOfAccountingPolicyForParentCompanyInvestments" xlink:label="severntrentplc_DescriptionOfAccountingPolicyForParentCompanyInvestments" />
    <loc xlink:type="locator" xlink:href="213800RPBXRETY4A4C59-2025-03-31.xsd#severntrentplc_DisclosureOfAlternativePerformanceMeasures" xlink:label="severntrentplc_DisclosureOfAlternativePerformanceMeasures" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_OperatingCostsBeforeChargeForBadAndDoubtfulDebts" xlink:to="label_severntrentplc_severntrentplcOperatingCostsBeforeChargeForBadAndDoubtfulDebts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_ChargeForBadAndDoubtfulDebts" xlink:to="label_severntrentplc_severntrentplcChargeForBadAndDoubtfulDebts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OperatingExpense" xlink:to="label_severntrentplc_ifrs-fullOperatingExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="label_severntrentplc_ifrs-fullFinanceIncomeCost_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_IncreaseInExpectedCreditLossOnLoanReceivable" xlink:to="label_severntrentplc_severntrentplcIncreaseInExpectedCreditLossOnLoanReceivable_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_NetGainsLossesOnFinancialInstruments" xlink:to="label_severntrentplc_severntrentplcNetGainsLossesOnFinancialInstruments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_DeferredTaxOnTransferToTheIncomeStatement" xlink:to="label_severntrentplc_severntrentplcDeferredTaxOnTransferToTheIncomeStatement_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_ProceedsFromEquityPlacing" xlink:to="label_severntrentplc_severntrentplcProceedsFromEquityPlacing_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_ShareOptionsAndLTIPsProceedsFromSharesIssued" xlink:to="label_severntrentplc_severntrentplcShareOptionsAndLTIPsProceedsFromSharesIssued_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_ShareOptionsAndLTIPsValueOfEmployeesServices" xlink:to="label_severntrentplc_severntrentplcShareOptionsAndLTIPsValueOfEmployeesServices_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_ShareOptionsAndLTIPsOwnSharesPurchased" xlink:to="label_severntrentplc_severntrentplcShareOptionsAndLTIPsOwnSharesPurchased_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_DeferredTaxOnShareBasedPayments" xlink:to="label_severntrentplc_severntrentplcDeferredTaxOnShareBasedPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssetsLiabilities" xlink:to="label_severntrentplc_ifrs-fullCurrentAssetsLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AssetsLessCurrentLiabilities" xlink:to="label_severntrentplc_ifrs-fullAssetsLessCurrentLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NetAssetsLiabilities" xlink:to="label_severntrentplc_ifrs-fullNetAssetsLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_severntrentplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_severntrentplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_InterestElementOfLeasePaymentsClassifiedAsFinancingActitivites" xlink:to="label_severntrentplc_severntrentplcInterestElementOfLeasePaymentsClassifiedAsFinancingActitivites_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_PaymentsForSwapTerminationsClassifiedAsFinancingActitivites" xlink:to="label_severntrentplc_severntrentplcPaymentsForSwapTerminationsClassifiedAsFinancingActitivites_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_severntrentplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_severntrentplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_severntrentplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_severntrentplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_DescriptionOfAccountingPolicyForPreContractCosts" xlink:to="label_severntrentplc_severntrentplcDescriptionOfAccountingPolicyForPreContractCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_DescriptionOfAccountingPolicyForParentCompanyInvestments" xlink:to="label_severntrentplc_severntrentplcDescriptionOfAccountingPolicyForParentCompanyInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="severntrentplc_DisclosureOfAlternativePerformanceMeasures" xlink:to="label_severntrentplc_severntrentplcDisclosureOfAlternativePerformanceMeasures_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_severntrentplc_severntrentplcOperatingCostsBeforeChargeForBadAndDoubtfulDebts_Standard" id="severntrentplc_severntrentplcOperatingCostsBeforeChargeForBadAndDoubtfulDebts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating costs before charge for bad and doubtful debts</label>
    <label xlink:label="label_severntrentplc_severntrentplcChargeForBadAndDoubtfulDebts_Standard" id="severntrentplc_severntrentplcChargeForBadAndDoubtfulDebts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Charge for bad and doubtful debts</label>
    <label xlink:label="label_severntrentplc_ifrs-fullOperatingExpense_Total" id="severntrentplc_ifrs-fullOperatingExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total operating costs</label>
    <label xlink:label="label_severntrentplc_ifrs-fullFinanceIncomeCost_Total" id="severntrentplc_ifrs-fullFinanceIncomeCost_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net finance costs</label>
    <label xlink:label="label_severntrentplc_severntrentplcIncreaseInExpectedCreditLossOnLoanReceivable_Standard" id="severntrentplc_severntrentplcIncreaseInExpectedCreditLossOnLoanReceivable_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase in expected credit loss on loan receivable</label>
    <label xlink:label="label_severntrentplc_severntrentplcNetGainsLossesOnFinancialInstruments_Standard" id="severntrentplc_severntrentplcNetGainsLossesOnFinancialInstruments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net gains/(losses) on financial instruments</label>
    <label xlink:label="label_severntrentplc_severntrentplcDeferredTaxOnTransferToTheIncomeStatement_Standard" id="severntrentplc_severntrentplcDeferredTaxOnTransferToTheIncomeStatement_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred tax on transfer to the income statement</label>
    <label xlink:label="label_severntrentplc_severntrentplcProceedsFromEquityPlacing_Standard" id="severntrentplc_severntrentplcProceedsFromEquityPlacing_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds from equity placing</label>
    <label xlink:label="label_severntrentplc_severntrentplcShareOptionsAndLTIPsProceedsFromSharesIssued_Standard" id="severntrentplc_severntrentplcShareOptionsAndLTIPsProceedsFromSharesIssued_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share options and LTIPS – proceeds from shares issued</label>
    <label xlink:label="label_severntrentplc_severntrentplcShareOptionsAndLTIPsValueOfEmployeesServices_Standard" id="severntrentplc_severntrentplcShareOptionsAndLTIPsValueOfEmployeesServices_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share options and LTIPS – value of employees' services</label>
    <label xlink:label="label_severntrentplc_severntrentplcShareOptionsAndLTIPsOwnSharesPurchased_Standard" id="severntrentplc_severntrentplcShareOptionsAndLTIPsOwnSharesPurchased_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share options and LTIPs – own shares purchased</label>
    <label xlink:label="label_severntrentplc_severntrentplcDeferredTaxOnShareBasedPayments_Standard" id="severntrentplc_severntrentplcDeferredTaxOnShareBasedPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred tax on share based payments</label>
    <label xlink:label="label_severntrentplc_ifrs-fullCurrentAssetsLiabilities_Total" id="severntrentplc_ifrs-fullCurrentAssetsLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">NET-CURRENT LIABILITIES</label>
    <label xlink:label="label_severntrentplc_ifrs-fullAssetsLessCurrentLiabilities_Total" id="severntrentplc_ifrs-fullAssetsLessCurrentLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">TOTAL ASSETS LESS CURRENT LIABILITIES</label>
    <label xlink:label="label_severntrentplc_ifrs-fullNetAssetsLiabilities_Total" id="severntrentplc_ifrs-fullNetAssetsLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">NET ASSETS</label>
    <label xlink:label="label_severntrentplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="severntrentplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash generated from operating activities</label>
    <label xlink:label="label_severntrentplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="severntrentplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash outflow from investing activities</label>
    <label xlink:label="label_severntrentplc_severntrentplcInterestElementOfLeasePaymentsClassifiedAsFinancingActitivites_Standard" id="severntrentplc_severntrentplcInterestElementOfLeasePaymentsClassifiedAsFinancingActitivites_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest element of lease payments classified as financing activities</label>
    <label xlink:label="label_severntrentplc_severntrentplcPaymentsForSwapTerminationsClassifiedAsFinancingActitivites_Standard" id="severntrentplc_severntrentplcPaymentsForSwapTerminationsClassifiedAsFinancingActitivites_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Payments for swap terminations classified as financing activities</label>
    <label xlink:label="label_severntrentplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="severntrentplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flow from financing activities</label>
    <label xlink:label="label_severntrentplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="severntrentplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net movement in cash and cash equivalents</label>
    <label xlink:label="label_severntrentplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" id="severntrentplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents if different from statement of financial position</label>
    <label xlink:label="label_severntrentplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" id="severntrentplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents if different from statement of financial position</label>
    <label xlink:label="label_severntrentplc_severntrentplcDescriptionOfAccountingPolicyForPreContractCosts_Standard" id="severntrentplc_severntrentplcDescriptionOfAccountingPolicyForPreContractCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for pre-contract costs</label>
    <label xlink:label="label_severntrentplc_severntrentplcDescriptionOfAccountingPolicyForParentCompanyInvestments_Standard" id="severntrentplc_severntrentplcDescriptionOfAccountingPolicyForParentCompanyInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for parent company investments</label>
    <label xlink:label="label_severntrentplc_severntrentplcDisclosureOfAlternativePerformanceMeasures_Standard" id="severntrentplc_severntrentplcDisclosureOfAlternativePerformanceMeasures_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of alternative performance measures</label>
  </labelLink>
</linkbase>